FreeMat

- Main Page
- Related Pages

vtkPOpenFOAMReader

Section: Visualization Toolkit Parallel Classes

# Usage

vtkPOpenFOAMReader creates a multiblock dataset. It reads parallel-decomposed mesh information and time dependent data. The polyMesh folders contain mesh information. The time folders contain transient data for the cells. Each folder can contain any number of data files.

To create an instance of class vtkPOpenFOAMReader, simply invoke its constructor as follows

      obj = vtkPOpenFOAMReader

# Methods

The class vtkPOpenFOAMReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPOpenFOAMReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPOpenFOAMReader = obj.NewInstance ()`
- `vtkPOpenFOAMReader = obj.SafeDownCast (vtkObject o)`
- `obj.SetCaseType (int t)` - Set and get case type. 0 = decomposed case, 1 = reconstructed case.
- `obj.SetController (vtkMultiProcessController )` - Set and get the controller.
- `vtkMultiProcessController = obj.GetController ()` - Set and get the controller.